GCLOUD_COMPUTE_INSTANCE-GROUPS_MANAGED_ABANDON-INSTANCES(1)

NAME

gcloud compute instance-groups managed abandon-instances - abandon instances owned by a managed instance group

SYNOPSIS

gcloud compute instance-groups managed abandon-instances NAME --instances=INSTANCE,[INSTANCE,...] [--region=REGION | --zone=ZONE] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute instance-groups managed abandon-instances abandons one or more instances from a managed instance group, thereby reducing the targetSize of the group. Once instances have been abandoned, the currentSize of the group is automatically reduced as well to reflect the change. Abandoning an instance does not delete the underlying virtual machine instances, but just removes the instances from the instance group. If you would like the delete the underlying instances, use the delete-instances command instead.

POSITIONAL ARGUMENTS

    NAME
        The name of the managed instance group to operate on.

REQUIRED FLAGS

    --instances=INSTANCE,[INSTANCE,...]
        Names of instances to abandon.

OPTIONAL FLAGS
At most one of these may be specified:

    --region=REGION
        The region of the managed instance group to operate on. If not specified, you will be prompted to select a region. A list of regions can be fetched by running:
        $ gcloud compute regions list
    Overrides the default compute/region property value for this command invocation.

    --zone=ZONE
        The zone of the managed instance group to operate on. If not specified, you may be prompted to select a zone. A list of zones can be fetched by running:
        $ gcloud compute zones list
    Overrides the default compute/zone property value for this command invocation.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.